CMPH5TOOLS(1)

NAME
cmph5tools - toolkit for command-line tools associated with cmp.h5 file processing

SYNOPSIS
cmph5tools [-h] [--verbose] [--version] [--profile] [--debug] {select,merge,sort,equal,summarize,stats,listMetrics,validate} ...

OPTIONS

  positional arguments:

    {select,merge,sort,equal,summarize,stats,listMetrics,validate}

select
    Create new cmp.h5 files from selections of input.cmp.h5

merge
    Merge input.cmp.h5 files into out.cmp.h5

sort
    Sort input.cmp.h5 file

equal
    Compare two cmp.h5 files for equivalence

summarize
    Summarize contents of cmp.h5 files

stats
    Compute statistics from input.cmp.h5

listMetrics
    List available metrics

validate
    Validate input.cmp.h5

  optional arguments:

-h, --help
    show this help message and exit

--verbose, -v
    Set the verbosity level (default: None)

--version
    show program's version number and exit

--profile
    Print runtime profile at exit (default: False)

--debug
    Catch exceptions in debugger (requires ipdb) (default: False)

SEE ALSO
bash5tools(1)